<form (submit)="save()" [formGroup]="formGroup">

  <mat-list>
    <mat-list-item>
      <mat-icon matlisticon>person_add</mat-icon>
      <h3 matLine>Add a family</h3>
    </mat-list-item>
  </mat-list>

  <mat-accordion class="my-3">
    <mat-expansion-panel [expanded]="step === 0" (opened)="setStep(0)" hideToggle>
      <mat-expansion-panel-header>
        <mat-panel-title>
          Name
        </mat-panel-title>
        <mat-panel-description>
          <span>Name of your family</span>
          <mat-icon class="ml-1">person</mat-icon>
        </mat-panel-description>
      </mat-expansion-panel-header>

      <p>
        <mat-form-field>
          <mat-label>Display name</mat-label>
          <input formControlName="displayName" matInput placeholder="Type the display name here">
          <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
          <mat-hint>Choose the visible name of your family</mat-hint>
        </mat-form-field>
      </p>

      <mat-action-row>
        <button mat-raised-button color="primary" type="submit">Save</button>
        <button mat-button color="primary" (click)="nextStep()" type="button">Next</button>
      </mat-action-row>
    </mat-expansion-panel>

    <mat-expansion-panel [expanded]="step === 1" (opened)="setStep(1)" hideToggle>
      <mat-expansion-panel-header>
        <mat-panel-title>
          Advanced
        </mat-panel-title>
        <mat-panel-description>
          Take control over more information
        </mat-panel-description>
      </mat-expansion-panel-header>

      <p>
        <mat-form-field>
          <mat-label>Name</mat-label>
          <input formControlName="name" matInput placeholder="Type the name here">
          <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
          <mat-hint>This is the ID of your family, and is not gonna be displayed</mat-hint>
          <mat-error>
            {{getErrors('name') | json }}
          </mat-error>
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <mat-label>Description</mat-label>
          <textarea [rows]="6" formControlName="description" matInput placeholder="Placeholder"></textarea>
          <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
          <mat-hint>This is gonna be shown to all members before they joint</mat-hint>
        </mat-form-field>
      </p>

      <mat-action-row>
        <button mat-button color="warn" type="button" (click)="prevStep()">Previous</button>
        <button mat-raised-button color="primary" type="submit">Save</button>
        <button mat-button color="primary" type="button" (click)="nextStep()">Next</button>
      </mat-action-row>
    </mat-expansion-panel>

    <mat-expansion-panel formGroupName="avatar" [expanded]="step === 2" (opened)="setStep(2)" hideToggle>
      <mat-expansion-panel-header>
        <mat-panel-title>
          Avatar
        </mat-panel-title>
        <mat-panel-description>
          Add an avatar for your family
        </mat-panel-description>
      </mat-expansion-panel-header>

      <p>
        <mat-form-field>
          <mat-label>Avatar url</mat-label>
          <input formControlName="avatarUrl" matInput placeholder="https://storage.ssegning.com/family/family.jpg">
          <mat-icon matSuffix>insert_photo</mat-icon>
          <mat-hint>If you have a link to an image and you want to use it, just past is here</mat-hint>
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <mat-label>Width</mat-label>
          <input type="number" formControlName="width" matInput placeholder="3456">
        </mat-form-field>

        <mat-form-field>
          <mat-label>Height</mat-label>
          <input type="number" formControlName="height" matInput placeholder="3577">
        </mat-form-field>
      </p>

      <mat-action-row>
        <button mat-button color="warn" type="button" (click)="prevStep()">Previous</button>
        <button mat-raised-button color="primary" type="submit">Save</button>
      </mat-action-row>
    </mat-expansion-panel>
  </mat-accordion>

</form>
